Subject: New Reply Received - You get what you pay for. I have no issue with the quality of the items. But they have the worst cus...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 25 May 2021 09:07:09 +0000

Hi Mohd Adeel Akhter,  The customer has responded to the ticket.  You get what you pay for. I have no issue with the quality of the items. But they have the worst cus...  Ticket comment <div>Homebox Stores I have spent days trying to sort out this issue. But the way I was treated, forced me to leave a comment. 

My order number is 9660552440 and the complaint reference number is 2611837.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2621011